Retrieve current account
Retrieves the details of the current account
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for get/v1/account
curl https://api.paypercut.io/v1/account \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "01KAKB228G3K4E98NFVE2MGHW4",
"created": "2026-05-21T04:57:41.043Z",
"external_accounts": {
"items": [
{
"default_for_currency": true,
"metadata": {
"additionalProperty": "string"
},
"external_account": {
"id": "ba_123",
"object": "bank_account",
"country": "DE",
"currency": "EUR",
"bank_name": "Example Bank",
"holder_name": "Acme GmbH",
"holder_type": "individual",
"account_number": "**** 5678",
"routing_number": "BNBGBGSF",
"last4": "5678"
}
}
],
"last_key": null
},
"type": "standard",
"country": "GB",
"default_currency": "EUR",
"email": "john.smith@example.com",
"details_submitted": true,
"requirements": {
"current_deadline": null,
"currently_due": [
"string"
],
"disabled_reason": "action_required.requested_capabilities",
"errors": [
{
"code": "external_request",
"reason": "string",
"requirement": "string"
}
],
"eventually_due": [
"string"
],
"past_due": [],
"pending_verification": [
"string"
]
},
"business_profile": {
"name": null,
"support_email": null,
"support_phone": null,
"support_url": null,
"mcc": 5411,
"url": "https://www.example.com",
"annual_revenue": {
"amount": 1,
"currency": "EUR",
"fiscal_year_end": "string"
},
"support_address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"monthly_estimated_revenue": {
"amount": 1,
"currency": "EUR"
},
"product_description": null,
"estimated_worker_count": null
},
"business_type": "company",
"company": {
"address": {
"city": null,
"country": null,
"line1": null,
"line2": null,
"postal_code": null,
"state": null
},
"directors_provided": true,
"executives_provided": true,
"name": null,
"owners_provided": true,
"phone": null,
"structure": "multi_member_llc",
"tax_id": null,
"tax_id_provided": true,
"tax_id_registrar": "string",
"vat_id": null,
"vat_id_provided": true,
"directorship_declaration": {
"date": "2026-05-21T04:57:41.043Z",
"ip": "string",
"user_agent": "string"
},
"ownership_declaration": {
"date": "2026-05-21T04:57:41.043Z",
"ip": "string",
"user_agent": "string"
},
"representative_declaration": {
"date": "2026-05-21T04:57:41.043Z",
"ip": "string",
"user_agent": "string"
}
},
"tos_acceptance": {
"date": "2026-05-21T04:57:41.043Z",
"ip": "string",
"user_agent": "string",
"service_agreement": "string"
},
"metadata": {
"additionalProperty": "string"
}
}
